Skip to main content

Retrieve a QR code

Retrieve a QR code for a link.
1 min read
get/qr
Request example
Response
get/qr

Query parameters

urlstringrequired#
The URL to generate a QR code for.

Length: max 32000

sizenumber#
The size of the QR code in pixels. Defaults to 600 if not provided.

Default: 600

levelenum<string>#
The level of error correction to use for the QR code. Defaults to L if not provided.

Default: "L"

Options:LMQH
fgColorstring#
The foreground color of the QR code in hex format. Defaults to #000000 if not provided.

Default: "#000000"

bgColorstring#
The background color of the QR code in hex format. Defaults to #ffffff if not provided.

Default: "#FFFFFF"

marginnumber#
The size of the margin around the QR code. Defaults to 2 if not provided.

Default: 2

includeMarginbooleandeprecated#
DEPRECATED: Margin is included by default. Use the margin prop to customize the margin size.

Default: true

Responses

image/png
The QR code